dbXML API

## org.dbxml.tools
Class ArgTokenizer

    java.lang.Object
      |
      +--org.dbxml.tools.ArgTokenizer

public final class ArgTokenizer
extends java.lang.Object

ArgTokenizer performs the difficult task of parsing command-line arguments from various sources.

Constructor Summary
`ArgTokenizer(java.lang.String argString)`
`ArgTokenizer(java.lang.String[] args)`

Method Summary
`boolean` `hasMoreTokens()`
`java.lang.String` `nextSwitchToken()`
`java.lang.String` `nextToken()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArgTokenizer

    public ArgTokenizer(java.lang.String[] args)

### ArgTokenizer

    public ArgTokenizer(java.lang.String argString)

Method Detail

### hasMoreTokens

    public boolean hasMoreTokens()

### nextSwitchToken

    public java.lang.String nextSwitchToken()

### nextToken

    public java.lang.String nextToken()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved